Name: ca_NorduGrid
Version: 1.1
Release: 2
Source: ca_NorduGrid-1.1.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_NorduGrid-1.1/1f0e8352.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority NorduGrid

%if %([ -n "http://www.nbi.dk/HEP/CA/" ] && echo 1 || echo 0)
URL: http://www.nbi.dk/HEP/CA/
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Requires: 
%endif

%prep
%setup -n ca_NorduGrid-1.1

%description
This is the trust anchor for the classic accredited authority NorduGrid.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr 1f0e8352.* $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

